summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Larry Hajali2011-09-22 07:00:08 +0200
committer Niels Horn2011-09-30 00:02:30 +0200
commitddf2555115c11b856580a9f51601a6d409b00e37 (patch)
tree4e60c7c7c14b91ec0dab72137c5bff04ea957044 /office
parent79114f4486cdafb71bcc842b51d2d99803278794 (diff)
downloadslackbuilds-ddf2555115c11b856580a9f51601a6d409b00e37.tar.gz
office/texstudio: Added (LaTeX editor)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'office')
-rw-r--r--office/texstudio/README3
-rw-r--r--office/texstudio/doinst.sh10
-rw-r--r--office/texstudio/slack-desc19
-rw-r--r--office/texstudio/texstudio.157
-rw-r--r--office/texstudio/texstudio.SlackBuild92
-rw-r--r--office/texstudio/texstudio.info10
6 files changed, 191 insertions, 0 deletions
diff --git a/office/texstudio/README b/office/texstudio/README
new file mode 100644
index 0000000000..1aa94dc615
--- /dev/null
+++ b/office/texstudio/README
@@ -0,0 +1,3 @@
+Texstudio is a free LaTeX editor that integrates many
+tools needed to develop documents with LaTeX in just
+one application.
diff --git a/office/texstudio/doinst.sh b/office/texstudio/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/office/texstudio/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/office/texstudio/slack-desc b/office/texstudio/slack-desc
new file mode 100644
index 0000000000..88b268f1c6
--- /dev/null
+++ b/office/texstudio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+texstudio: texstudio (LaTeX editor)
+texstudio:
+texstudio: Texstudio is a free LaTeX editor that integrates many tools needed
+texstudio: to develop documents with LaTeX into just one application.
+texstudio:
+texstudio: Homepage: http://www.xm1math.net/texstudio/index.html
+texstudio:
+texstudio:
+texstudio:
+texstudio:
+texstudio:
diff --git a/office/texstudio/texstudio.1 b/office/texstudio/texstudio.1
new file mode 100644
index 0000000000..3ff8b56e00
--- /dev/null
+++ b/office/texstudio/texstudio.1
@@ -0,0 +1,57 @@
+.TH texstudio 1 "April 3, 2006"
+.
+.SH NAME
+texstudio \- A Cross-Platform LaTeX Editor
+.
+.SH SYNOPSIS
+.B texstudio file [-master] [-line xx]
+.
+.SH DESCRIPTION
+.B texstudio
+is a clean, highly configurable LaTeX editor with good hot key support and extensive Latex documentation. Texstudio integrates many tools needed to
+develop documents with LaTeX, in just one application. It has some nice featuressuch as syntax highlighting, insertion of 370 mathematical symbols with only one
+click, a structure view of the document for easier navigation.
+
+\-master With this option, the document will be automatically defined
+ as a "master" document.
+
+\-line xx With this option, Texstudio will ask you if you want to jump
+ to the xx line after loading the document
+
+ See the user manuels under the 'Help' directory for documentation on the
+use and features for Texstudio.
+
+Some of Texstudio's features are:
+
+- An unicode editor to write your LaTeX source files (syntax highlighting, undo-redo, search-replace, ...)
+
+- The principal LaTex tags can be inserted directly with the "LaTeX" and "Math" menus
+
+- 370 mathematical symbols can be inserted in just one click
+
+- Wizards to generate code ('Quick document', 'Quick letter', tabular, tabbing and array environments)
+
+- LaTeX-related programs can be launched via the "Tools" menu
+
+- The standard Bibtex entry types can be inserted in the ".bib" file with the "Bibliography" menu
+
+- A "structure view" of the document for easier navigation of a document (by clicking on an item in the "Structure" frame, you can jump directly to the corresponding part of your document
+
+- Extensive LaTeX documentation
+
+- In the "Messages / Log File" frame, you can see information about processes and the logfile after a LaTeX compilation
+
+- The "Next Latex Error" and "Previous Latex Error" commands let you reach the LaTeX errors detected in the log file
+
+- By clicking on the number of a line in the log file, the cursor jumps to the corresponding line in the editor
+
+- An integrated LaTeX to html conversion tool (for unix and macosx systems)
+.
+.SH Web Page
+http://texstudio.sourceforge.net/
+.
+.SH AUTHOR
+Pascal Brachet <pbrachet@xm1math.net>
+Benito van der Zander <benito@benibela.de>
+.
+.\" EOF
diff --git a/office/texstudio/texstudio.SlackBuild b/office/texstudio/texstudio.SlackBuild
new file mode 100644
index 0000000000..906ccf1a94
--- /dev/null
+++ b/office/texstudio/texstudio.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for texstudio
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+PRGNAM=texstudio
+VERSION=2.2
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-m64 -O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}${VERSION}
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd ${PRGNAM}${VERSION}
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix .desktop item.
+sed -i '/^Encoding/d' utilities/texstudio.desktop
+
+qmake PREFIX=/usr LIBS+="-L/usr/lib${LIBDIRSUFFIX}" -o Makefile $PRGNAM.pro
+
+make \
+ CFLAGS="-pipe $SLKCFLAGS -D_REENTRANT -Wall -W \$(DEFINES)" \
+ CXXFLAGS="-pipe $SLKCFLAGS -D_REENTRANT -Wall -W \$(DEFINES)"
+make install INSTALL_ROOT=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/man/man1
+install -m 0644 $CWD/$PRGNAM.1 $PKG/usr/man/man1
+gzip -9 $PKG/usr/man/man?/*.?
+
+for i in 16 22 32 48 64 128; do
+ install -D -m 0644 utilities/${PRGNAM}${i}x${i}.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/apps/$PRGNAM.png
+done
+
+install -D -m 0644 utilities/$PRGNAM.svg \
+ $PKG/usr/share/icons/hicolor/scalable/apps/$PRGNAM.svg
+rm -rf $PKG/usr/share/pixmaps
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ INSTALL utilities/{AUTHORS,CHANGELOG.txt,COPYING} \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -f $PKG/usr/share/$PRGNAM/{COPYING,CHANGELOG.txt,AUTHORS}
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/texstudio/texstudio.info b/office/texstudio/texstudio.info
new file mode 100644
index 0000000000..c719e1f6b9
--- /dev/null
+++ b/office/texstudio/texstudio.info
@@ -0,0 +1,10 @@
+PRGNAM="texstudio"
+VERSION="2.2"
+HOMEPAGE="http://texstudio.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/texstudio/texstudio-2.2.tar.gz"
+MD5SUM="d23cf71c90f3fd950d49bf480285e920"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"